Plugin Compatibility with PHP 8

Third Party Plugins to CMSimple - how to install, use and create plugins

Moderator: Tata

Post Reply
cmb
Posts: 14141
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Plugin Compatibility with PHP 8

Post by cmb » Tue Jan 24, 2023 11:36 am

This is a growing list of CMSimple_XH Plugins stating their known compatibility with PHP 8 versions, and possibly linking to quick fixes. Please report any further issues you notice (either in this thread, or in another Forum thread).
Christoph M. Becker – Plugins for CMSimple_XH

olape
Posts: 2342
Joined: Fri Mar 13, 2015 8:47 am
Contact:

Re: Plugin Compatibility with PHP 8

Post by olape » Tue Jan 24, 2023 12:18 pm

Die Info könnte auch im Repo unter PHP-Version mit abgelegt werden.
i.e. bei "PHP-Version: ≥ 5.6" könnte stattdessen eben auch "PHP-Version: 5.6 - 7.4"

cmb
Posts: 14141
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin Compatibility with PHP 8

Post by cmb » Tue Jan 24, 2023 12:55 pm

olape wrote:
Tue Jan 24, 2023 12:18 pm
Die Info könnte auch im Repo unter PHP-Version mit abgelegt werden.
i.e. bei "PHP-Version: ≥ 5.6" könnte stattdessen eben auch "PHP-Version: 5.6 - 7.4"
Macht eigentlich Sinn, aber dann müssten halt die Pluginanbieter ihre teplads aktualisieren, und dann könnten sie eigentlich auch gleich für PHP 8 Kompatibilität sorgen (zumindest wenn die Probleme mit neuen PHP nicht zu arg sind).
Christoph M. Becker – Plugins for CMSimple_XH

mig
Posts: 58
Joined: Sat Apr 25, 2015 9:20 pm

Re: Plugin Compatibility with PHP 8

Post by mig » Wed Jan 25, 2023 10:37 am

Hallo zusammen,

auf unserer Vereinswebseite laufen die Plugins

Expandcontract 1.0
lck_adminmenu 1.0-beta2
Morepagedata 1.2.2
Onepage_XH 1.0beta3

unter PHP 8.0.27 bisher ohne Fehler.

*edit: Versionsnummern ergänzt
Last edited by mig on Wed Jan 25, 2023 10:45 am, edited 1 time in total.
Viele Grüße
Michael

olape
Posts: 2342
Joined: Fri Mar 13, 2015 8:47 am
Contact:

Re: Plugin Compatibility with PHP 8

Post by olape » Wed Jan 25, 2023 10:45 am

@mig
Danke
cmb wrote:
Tue Jan 24, 2023 12:55 pm
dann müssten halt die Pluginanbieter ihre teplads aktualisieren
Genau eben dafür war das gedacht.
cmb wrote:
Tue Jan 24, 2023 12:55 pm
dann könnten sie eigentlich auch gleich für PHP 8 Kompatibilität sorgen
Am besten eben beides.

cmb
Posts: 14141
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin Compatibility with PHP 8

Post by cmb » Wed Jan 25, 2023 11:49 am

mig wrote:
Wed Jan 25, 2023 10:37 am
auf unserer Vereinswebseite laufen die Plugins

[…]

unter PHP 8.0.27 bisher ohne Fehler.

*edit: Versionsnummern ergänzt
Danke, das ist sehr hilfreich (und gerade mit den Versionsnummern). Ich hoffe, dass noch weitere Nutzer entsprechende Informationen, was bei ihnen einwandfrei unter PHP 8.x läuft, zur Verfügung stellen.
olape wrote:
Wed Jan 25, 2023 10:45 am
Am besten eben beides.
Wir können halt niemanden zwingen. :)
Christoph M. Becker – Plugins for CMSimple_XH

frase
Posts: 4951
Joined: Thu Apr 21, 2016 6:32 am
Location: Saxony
Contact:

Re: Plugin Compatibility with PHP 8

Post by frase » Wed Jan 25, 2023 12:01 pm

Bei mir laufen folgende Plugins unter PHP 8.2.0 momentan problemlos:

ADC-Core_XH Version: 1.0 beta2
CnC_XH Version: 1.0beta1
EncMail_XH Version: 2.0rc5
fhs_adminmenu Version: 2.01
hi_Admin Version: 1.0-beta.2
Morepagedata_XH Version: 1.2.2

frase
Posts: 4951
Joined: Thu Apr 21, 2016 6:32 am
Location: Saxony
Contact:

Re: Plugin Compatibility with PHP 8

Post by frase » Wed Jan 25, 2023 12:26 pm

@cmb
Vielleicht(!) solltest du das Wort not im ersten Post oben etwas hervorheben?

Post Reply